<div class="container">
  <div class="row horizontal-break">
    <div class="col-md-7 mt-5" #userForm>
      <app-user-form
        (addUser)="onAddUser($event)"
        (updateUser)="onUpdateUser($event)"
        (generateRandomUser)="onGenerateRandomUser()"
        
      ></app-user-form>
    </div>
    <div class="col-md-5 mt-5">
      <app-user-count
        (fetchUser)="onFetchUsers()"
      ></app-user-count>
    </div>
  </div>

  <div class="mt-5 mb-3" #displayTable>
    <app-display-users
      (editUser)="onEditUser($event)"
      (deleteUser)="onDeleteUser($event)"
      [users]="fetchedUsers"
    ></app-display-users>
  </div>
</div>
